package org.ow2.petals.se.sca;

import org.ow2.petals.component.framework.se.AbstractServiceEngine;
import java.util.ArrayList;
import javax.jbi.component.ComponentContext;
import javax.jbi.messaging.DeliveryChannel;
import org.ow2.petals.se.sca.su.FrascatiSUListner;
import java.util.HashMap;
import javax.jbi.JBIException;
import java.util.List;
import java.util.Map;
import org.ow2.petals.component.framework.jbidescriptor.generated.Provides;
import org.ow2.petals.se.sca.model.SCAComposite;
import org.ow2.petals.component.framework.api.su.ServiceUnitListener;

public class SCAServiceEngine extends AbstractServiceEngine {
    /** 
     *
     */
    private Map<org.ow2.petals.component.framework.jbidescriptor.generated.Provides, java.lang.String>  serviceUnitNamePool;
    
    /** 
     *
     */
    private Map<java.lang.String, org.ow2.petals.se.sca.model.SCAComposite>  scaCompositePool;
    
    private List<java.lang.String>  classPath;
    
    @Override
    protected void doInit() throws JBIException {
        setClassPath(new ArrayList<java.lang.String> ());
        this.scaCompositePool = new HashMap<java.lang.String, org.ow2.petals.se.sca.model.SCAComposite> ();
        this.serviceUnitNamePool = new HashMap<org.ow2.petals.component.framework.jbidescriptor.generated.Provides, java.lang.String> ();
        setServiceUnitListener(new FrascatiSUListner(this));
        new PetalsGateway(getContext() , getChannel());
    }
    
    @Override
    protected void doStart() throws JBIException {
    }
    
    @Override
    protected void doStop() throws JBIException {
    }
    
    @Override
    protected void doShutdown() throws JBIException {
    }
    
    public void setScaCompositePool(Map<java.lang.String, org.ow2.petals.se.sca.model.SCAComposite>  scaCompositePool) {
        this.scaCompositePool = scaCompositePool;
    }
    
    public Map<java.lang.String, org.ow2.petals.se.sca.model.SCAComposite>  getScaCompositePool() {
        return scaCompositePool;
    }
    
    public void setServiceUnitNamePool(Map<org.ow2.petals.component.framework.jbidescriptor.generated.Provides, java.lang.String>  serviceUnitNamePool) {
        this.serviceUnitNamePool = serviceUnitNamePool;
    }
    
    public Map<org.ow2.petals.component.framework.jbidescriptor.generated.Provides, java.lang.String>  getServiceUnitNamePool() {
        return serviceUnitNamePool;
    }
    
    public void setClassPath(List<java.lang.String>  classPath) {
        this.classPath = classPath;
    }
    
    public List<java.lang.String>  getClassPath() {
        return classPath;
    }
    
}

