package org.ow2.petals.se.sca.connectors.jbi;

import java.lang.reflect.InvocationHandler;
import java.lang.reflect.Method;

public class JbiCaller implements InvocationHandler {
    /** 
     *
     */
    private JbiClient client;
    
    /** 
     * 
     * @param params
     * @param clazz
     */
    public JbiCaller(JbiBindHints bindHints ,Class<?>  clazz) {
        JbiClientFactory clientFactory = JbiClientFactory.getInstance();
        this.client = clientFactory.createClient(bindHints);
    }
    
    /** 
     * 
     */
    public Object invoke(Object proxy, Method method, Object[] args) throws Throwable {
        Object result = client.callPetalsService(method ,args);
        return result;
    }
    
}

