package org.ow2.petals.se.sca.connectors.jbi;

import javax.jbi.component.ComponentContext;
import javax.jbi.messaging.DeliveryChannel;
import javax.xml.namespace.QName;
import org.ow2.petals.databinding.jaxb.service.Service;

/** 
 * 
 * @author Mohammed EL JAI
 */
public class JbiClientFactory {
    /** 
     *
     */
    private static JbiClientFactory jbiClientFactory;
    
    /** 
     * 
     */
    private JbiClientFactory() {
    }
    
    /** 
     * 
     * @return
     */
    public static JbiClientFactory getInstance() {
        if ((JbiClientFactory.jbiClientFactory) == null)
            JbiClientFactory.jbiClientFactory = new JbiClientFactory();
        
        return JbiClientFactory.jbiClientFactory;
    }
    
    /** 
     * 
     * @param params
     * @return
     */
    public JbiClient createClient(JbiBindHints bindHints) {
        QName referenceName = bindHints.getServiceName();
        return new JbiClient(org.ow2.petals.se.sca.PetalsGateway.getDeliveryChannel() , org.ow2.petals.se.sca.PetalsGateway.getComponentContext() , org.ow2.petals.se.sca.PetalsGateway.getReferenceByName(referenceName) , referenceName);
    }
    
}

