package org.ow2.petals.se.sca.connectors.jbi;

import org.objectweb.fractal.bf.proxies.AbstractStubComponentFactory;
import org.objectweb.fractal.bf.proxies.StubContentGenerator;

/** 
 * A stub component factory implementation that uses {@link WsStubContentGenerator} to generate
 * the content of the stub component.
 */
public class JbiConnectorStubComponentFactoryImpl extends AbstractStubComponentFactory {
    /** 
     * @see org.objectweb.fractal.bf.proxies.AbstractStubComponentFactory#getStubContentGenerator()
     */
    @Override
    protected StubContentGenerator<org.ow2.petals.se.sca.connectors.jbi.JbiBindHints>  getStubContentGenerator() {
        return new JbiStubContentGenerator();
    }
    
}

