package org.ow2.petals.se.sca.model;

import java.util.ArrayList;
import org.objectweb.fractal.api.Component;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.ow2.petals.component.framework.jbidescriptor.generated.Provides;
import javax.xml.namespace.QName;
import org.ow2.petals.databinding.jaxb.service.Service;

/** 
 * This class gathers all information needed by the FRSCATI service engine
 * to execute a SCA composite.
 * 
 * @author Mohammed EL JAI
 */
public class SCAComposite {
    /** 
     *
     */
    private ClassLoader compositeClassLoader;
    
    /** 
     *
     */
    private Map<org.ow2.petals.component.framework.jbidescriptor.generated.Provides, org.ow2.petals.databinding.jaxb.service.Service>  compositeServices;
    
    /** 
     *
     */
    private Map<org.ow2.petals.component.framework.jbidescriptor.generated.Provides, java.lang.Object>  serviceInstances;
    
    /** 
     *
     */
    private Component tinfiComponent;
    
    /** 
     *
     */
    private List<javax.xml.namespace.QName>  listOfReference;
    
    /** 
     * Empty Constructor to initialize attributes
     */
    public SCAComposite() {
        compositeServices = new HashMap<org.ow2.petals.component.framework.jbidescriptor.generated.Provides, org.ow2.petals.databinding.jaxb.service.Service> ();
        serviceInstances = new HashMap<org.ow2.petals.component.framework.jbidescriptor.generated.Provides, java.lang.Object> ();
        setListOfReference(new ArrayList<javax.xml.namespace.QName> ());
    }
    
    public ClassLoader getCompositeClassLoader() {
        return compositeClassLoader;
    }
    
    public void setCompositeClassLoader(ClassLoader compositeClassLoader) {
        this.compositeClassLoader = compositeClassLoader;
    }
    
    public Map<org.ow2.petals.component.framework.jbidescriptor.generated.Provides, org.ow2.petals.databinding.jaxb.service.Service>  getCompositeServices() {
        return compositeServices;
    }
    
    public void setCompositeServices(Map<org.ow2.petals.component.framework.jbidescriptor.generated.Provides, org.ow2.petals.databinding.jaxb.service.Service>  compositeServices) {
        this.compositeServices = compositeServices;
    }
    
    public Map<org.ow2.petals.component.framework.jbidescriptor.generated.Provides, java.lang.Object>  getServicesInsances() {
        return serviceInstances;
    }
    
    public void setServicesInsances(Map<org.ow2.petals.component.framework.jbidescriptor.generated.Provides, java.lang.Object>  servicesInsances) {
        this.serviceInstances = servicesInsances;
    }
    
    public void setTinfiComponent(Component tinfiComponent) {
        this.tinfiComponent = tinfiComponent;
    }
    
    public Component getTinfiComponent() {
        return tinfiComponent;
    }
    
    public void setListOfReference(List<javax.xml.namespace.QName>  listOfReference) {
        this.listOfReference = listOfReference;
    }
    
    public List<javax.xml.namespace.QName>  getListOfReference() {
        return listOfReference;
    }
    
}

